org.apache.tools.ant.filters

## Class TokenFilter.DeleteCharacters

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.filters.TokenFilter.DeleteCharacters

- All Implemented Interfaces:
    java.lang.Cloneable, ChainableReader, TokenFilter.Filter
  Enclosing class:
    TokenFilter

      public static class TokenFilter.DeleteCharacters
      extends ProjectComponent
      implements TokenFilter.Filter, ChainableReader

  Filter to delete characters

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenFilter.DeleteCharacters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Reader` | `chain(java.io.Reader reader)` factory method to provide a reader that removes the characters from a reader as part of a filter chain
    `java.lang.String` | `filter(java.lang.String string)` remove characters from a string
    `void` | `setChars(java.lang.String deleteChars)` Set the list of characters to delete

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenFilter.DeleteCharacters

          public TokenFilter.DeleteCharacters()

  - ### Method Detail

    - #### setChars

          public void setChars(java.lang.String deleteChars)

      Set the list of characters to delete
      Parameters:
        `deleteChars` - the list of characters

    - #### filter

          public java.lang.String filter(java.lang.String string)

      remove characters from a string
      Specified by:
        `filter` in interface `TokenFilter.Filter`
      Parameters:
        `string` - the string to remove the characters from
      Returns:
        the converted string

    - #### chain

          public java.io.Reader chain(java.io.Reader reader)

      factory method to provide a reader that removes the characters from a reader as part of a filter chain
      Specified by:
        `chain` in interface `ChainableReader`
      Parameters:
        `reader` - the reader object
      Returns:
        the chained reader object